import { CONFIG_LATEST_PRESET } from '../../helpers/cli/constants.helper.js';
import { mappingsConfig } from '../carbon/mappings.config.js';
export default [
    {
        type: 'list',
        name: 'theme',
        message: 'Syntax theme:',
        default: '3024 Night',
        choices: Object.keys(mappingsConfig.theme),
    },
    {
        type: 'list',
        name: 'windowTheme',
        message: 'Window theme:',
        default: 'none',
        choices: Object.keys(mappingsConfig.windowTheme),
    },
    {
        type: 'list',
        name: 'fontFamily',
        message: 'Font family:',
        default: 'Hack',
        choices: Object.keys(mappingsConfig.fontFamily),
    },
    {
        type: 'input',
        name: 'fontSize',
        message: 'Font size:',
        default: '18px',
    },
    {
        type: 'input',
        name: 'backgroundColor',
        message: 'Background color:',
        default: '#ADB7C1',
    },
    {
        type: 'confirm',
        name: 'windowControls',
        message: 'Include window controls?',
        default: true,
    },
    {
        type: 'confirm',
        name: 'lineNumbers',
        message: 'Include line numbers?',
        default: false,
    },
    {
        type: 'input',
        name: 'firstLineNumber',
        message: 'Starting line number?',
        default: 1,
        when: (answers) => answers.lineNumbers,
    },
    {
        type: 'confirm',
        name: 'widthAdjustment',
        message: 'Auto adjust width?',
        default: true,
    },
    {
        type: 'input',
        name: 'lineHeight',
        message: 'Line height:',
        default: '133%',
    },
    {
        type: 'input',
        name: 'paddingVertical',
        message: 'Vertical padding:',
        default: '0px',
    },
    {
        type: 'input',
        name: 'paddingHorizontal',
        message: 'Horizontal padding:',
        default: '0px',
    },
    {
        type: 'confirm',
        name: 'dropShadow',
        message: 'Include drop shadow?',
        default: false,
    },
    {
        type: 'input',
        name: 'dropShadowOffsetY',
        message: 'Drop shadow y-offset:',
        default: '20px',
        when: (answers) => answers.dropShadow,
    },
    {
        type: 'input',
        name: 'dropShadowBlurRadius',
        message: 'Drop shadow blur:',
        default: '68px',
        when: (answers) => answers.dropShadow,
    },
    {
        type: 'confirm',
        name: 'highlight',
        message: 'Highlight certain lines?',
        default: false,
    },
    {
        type: 'input',
        name: 'selectedLines',
        message: 'Comma-separated list of lines to highlight, e.g., 4,5,6,7',
        default: '*',
        when: (answers) => answers.highlight,
    },
    {
        type: 'confirm',
        name: 'squaredImage',
        message: 'Make squared image?',
        default: false,
    },
    {
        type: 'confirm',
        name: 'watermark',
        message: 'Add Carbon watermark?',
        default: false,
    },
    {
        type: 'list',
        name: 'exportSize',
        message: 'Export size:',
        default: '2x',
        choices: Object.keys(mappingsConfig.exportSize),
    },
    {
        type: 'list',
        name: 'type',
        message: 'Export as…',
        default: 'png',
        choices: ['png', 'svg'],
    },
    {
        type: 'confirm',
        name: 'save',
        message: 'Save these settings as a preset?',
        default: false,
    },
    {
        type: 'input',
        name: 'preset',
        message: 'Name of the preset? Use kebab-case.',
        default: CONFIG_LATEST_PRESET,
        when: (answers) => answers.save,
    },
];
