#!/usr/bin/env node
import be from"open";import ke from"update-notifier";import{Listr as ve}from"listr2";import{stringify as Ce}from"query-string";import{clipboard as Se}from"clipboard-sys";import J from"meow";import K from"inquirer";import Q from"clipboardy";import Z from"lodash";import X from"get-stdin";var l={theme:{"3024 Night":"3024-night","A11y Dark":"a11y-dark","Base 16 (Dark)":"base16-dark","Base 16 (Light)":"base16-light",Blackboard:"blackboard",Cobalt:"cobalt",Dracula:"dracula-pro",Duotone:"duotone-dark",Hopscotch:"hopscotch",Lucario:"lucario",Material:"material",Monokai:"monokai","Night Owl":"night-owl",Nord:"nord","Oceanic Next":"oceanic-next","One Dark":"one-dark","One Light":"one-light",Panda:"panda-syntax",Paraiso:"paraiso-dark",Seti:"seti","Shades of Purple":"shades-of-purple","Solarized (Dark)":"solarized dark","Solarized (Light)":"solarized light","SynthWave 84":"synthwave-84",Twilight:"twilight",VSCode:"vscode",Verminal:"verminal",Yeti:"yeti",Zenburn:"zenburn"},windowTheme:{None:"none",Sharp:"sharp","Black & White":"bw"},fontFamily:{"Anonymous Pro":"Anonymous Pro","Cascadia Code":"Cascadia Code","Droid Sans Mono":"Droid Sans Mono","Fantasque Sans Mono":"Fantasque Sans Mono","Fira Code":"Fira Code",Hack:"Hack","IBM Plex Mono":"IBM Plex Mono",Inconsolata:"Inconsolata","JetBrains Mono":"JetBrains Mono",Monoid:"Monoid","Source Code Pro":"Source Code Pro","Space Mono":"Space Mono","Ubuntu Mono":"Ubuntu Mono"},exportSize:{"2x":"2x","1x":"1x","4x":"4x"}};import{readFile as V}from"node:fs/promises";var x=async(t,e=!0)=>await V(t,{encoding:e?"utf8":null});import{homedir as G}from"os";var Y=".carbon-now.json",W=G(),b=`${W}/${Y}`,n="latest-preset";var T={start:{type:"number",alias:"s",default:1},end:{type:"number",alias:"e",default:1e3},openInBrowser:{type:"boolean",default:!1},saveTo:{type:"string",default:process.cwd()},saveAs:{type:"string"},interactive:{type:"boolean",alias:"i",default:!1},preset:{type:"string",alias:"p",default:n},toClipboard:{type:"boolean",default:!1},config:{type:"string"},fromClipboard:{type:"boolean",default:!1},disableHeadless:{type:"boolean",default:!1},engine:{type:"string",default:"chromium"},skipDisplay:{type:"boolean",default:!1}};var I=[{type:"list",name:"theme",message:"Syntax theme:",default:"3024 Night",choices:Object.keys(l.theme)},{type:"list",name:"windowTheme",message:"Window theme:",default:"none",choices:Object.keys(l.windowTheme)},{type:"list",name:"fontFamily",message:"Font family:",default:"Hack",choices:Object.keys(l.fontFamily)},{type:"input",name:"fontSize",message:"Font size:",default:"18px"},{type:"input",name:"backgroundColor",message:"Background color:",default:"#ADB7C1"},{type:"confirm",name:"windowControls",message:"Include window controls?",default:!0},{type:"confirm",name:"lineNumbers",message:"Include line numbers?",default:!1},{type:"input",name:"firstLineNumber",message:"Starting line number?",default:1,when:t=>t.lineNumbers},{type:"confirm",name:"widthAdjustment",message:"Auto adjust width?",default:!0},{type:"input",name:"lineHeight",message:"Line height:",default:"133%"},{type:"input",name:"paddingVertical",message:"Vertical padding:",default:"0px"},{type:"input",name:"paddingHorizontal",message:"Horizontal padding:",default:"0px"},{type:"confirm",name:"dropShadow",message:"Include drop shadow?",default:!1},{type:"input",name:"dropShadowOffsetY",message:"Drop shadow y-offset:",default:"20px",when:t=>t.dropShadow},{type:"input",name:"dropShadowBlurRadius",message:"Drop shadow blur:",default:"68px",when:t=>t.dropShadow},{type:"confirm",name:"highlight",message:"Highlight certain lines?",default:!1},{type:"input",name:"selectedLines",message:"Comma-separated list of lines to highlight, e.g., 4,5,6,7",default:"*",when:t=>t.highlight},{type:"confirm",name:"squaredImage",message:"Make squared image?",default:!1},{type:"confirm",name:"watermark",message:"Add Carbon watermark?",default:!1},{type:"list",name:"exportSize",message:"Export size:",default:"2x",choices:Object.keys(l.exportSize)},{type:"list",name:"type",message:"Export as\u2026",default:"png",choices:["png","svg"]},{type:"confirm",name:"save",message:"Save these settings as a preset?",default:!1},{type:"input",name:"preset",message:"Name of the preset? Use kebab-case.",default:n,when:t=>t.save}];import k from"chalk";var A=`
  ${k.bold("Usage")}
    $ carbon-now <file>
    $ pbpaste | carbon-now
    $ carbon-now --from-clipboard

  ${k.bold("Options")}
    -s, --start          Starting line of input
    -e, --end            Ending line of input
    -i, --interactive    Interactive mode
    -p, --preset         Apply an existing preset
    --save-to            Image save location, default: cwd
    --save-as            Image name, default: original-hash.{png|svg}
    --from-clipboard     Read input from clipboard instead of file
    --to-clipboard       Copy image to clipboard
    --open-in-browser    Open in browser instead of saving
    --config             Use a different, local config (read-only)
    --disable-headless   Run Playwright in headful mode
    --engine             Use different rendering engine, default: \`chromium\`
                         Options: \`chromium\`, \`firefox\`, \`webkit\`
    --skip-display       Don\u2019t display the image in the terminal

  ${k.bold("Examples")}
    See: https://github.com/mixn/carbon-now-cli#examples
`;import O from"chalk";var M=`
  ${O.red("No file or stdin given.")}

  ${O.bold("Usage")}
    $ carbon-now <file>
    $ pbpaste | carbon-now
    $ carbon-now --from-clipboard`;var m=class{file;flags;input;answers;static async create(){let e=new this;return await e.init(),e}async init(){[this.file,this.flags]=await this.initCLI(),this.input=await this.readInput(),this.answers=await this.initInteractiveMode()}async initCLI(){let e=J(A,{flags:T});return[e.input[0],e.flags]}async readInput(){let e;if(this.file)return await x(this.file);if(this.flags.fromClipboard)return Q.readSync();if(e=await X())return e;console.error(M),process.exit(1)}async initInteractiveMode(){return this.flags.interactive?this.mapAnswersToCarbonValues(await K.prompt(I)):{}}mapAnswersToCarbonValues(e){return Z.mapValues(e,(a,s)=>{var o;return((o=l[s])==null?void 0:o[a])??a})}get getFlags(){return this.flags}get getAnswers(){return this.answers}get getFile(){return this.file}get getInput(){return this.input}};import E from"jsonfile";import te from"file-exists";import ae from"lodash";import{EOL as se}from"os";import ee from"chalk";var P=t=>`
  ${ee.yellow(`Warning: Preset \`${t}\` doesn\u2019t exist. Using default settings\u2026`)}`;var u=class{configPath;ignoredSettings=["save","preset","language","highlight"];constructor(e=b){this.configPath=e}async writeConfig(e={},a={}){await E.writeFileSync(this.configPath,e,a)}async readConfig(){let e=this.configPath;return await te(e)?await E.readFileSync(e):e===b?(await this.writeConfig(),await this.readConfig()):{}}warn(e){console.warn(P(e))}async getPreset(e){let a=await this.readConfig();return e in a?a[e]:(this.warn(e),{})}async savePreset(e=n,a={}){let s=ae.omit(a,this.ignoredSettings),c={...await this.readConfig(),...e!==n&&{[e]:s},[n]:s};await this.writeConfig(c,{spaces:2,EOL:se})}};import ie from"file-extension";import{EOL as F}from"os";import{rename as oe}from"node:fs/promises";var N=new Map([["C","text/x-c++src"],["c","text/x-csrc"],["c++","text/x-c++src"],["cbl","cobol"],["cc","text/x-c++src"],["cdxml","powershell"],["changes","smalltalk"],["cl","commonlisp"],["class","text/x-java"],["clj","clojure"],["cljc","clojure"],["cljs","clojure"],["cob","cobol"],["coffee","coffeescript"],["conf","nginx"],["cpp","text/x-c++src"],["cpy","cobol"],["cql","text/x-cassandra"],["cr","crystal"],["cs","smalltalk"],["css","css"],["csv","sql"],["cxx","text/x-c++src"],["d","d"],["dart","dart"],["db","sql"],["diff","text/x-diff"],["dockerfile","dockerfile"],["Dockerfile","dockerfile"],["edn","clojure"],["elm","elm"],["erl","erlang"],["ex","elixir"],["exs","elixir"],["f","fortran"],["f90","fortran"],["feature","gherkin"],["for","fortran"],["fs","mllike"],["fsi","mllike"],["fsscript","mllike"],["fsx","mllike"],["go","text/x-go"],["gql","graphql"],["graphql","graphql"],["groovy","groovy"],["h","text/x-csrc"],["h++","text/x-c++src"],["handlebars","handlebars"],["hbs","handlebars"],["hh","text/x-c++src"],["hpp","text/x-c++src"],["hrl","erlang"],["hs","haskell"],["htaccess","text/apache"],["html","htmlmixed"],["hx","haxe"],["hxml","haxe"],["hxx","text/x-c++src"],["ijl","julia"],["ijs","julia"],["inc","pascal"],["jar","text/x-java"],["java","text/x-java"],["jl","julia"],["jlt","julia"],["js","javascript"],["json","application/json"],["jsx","jsx"],["kt","text/x-kotlin"],["kts","text/x-kotlin"],["lhs","haskell"],["lisp","commonlisp"],["litcoffee","coffeescript"],["lp","lua"],["lsp","commonlisp"],["lua","lua"],["m","text/x-octave"],["md","markdown"],["mj2","julia"],["mj3","julia"],["mjl","julia"],["mjltest","julia"],["ml","mllike"],["mli","mllike"],["mm","text/x-objectivec"],["mysql","sql"],["nb","mathematica"],["nim","nim"],["nims","nim"],["nix","nix"],["nse","lua"],["nt","application/n-triples"],["oct","text/x-octave"],["octave","text/x-octave"],["p8","lua"],["pas","pascal"],["patch","text/x-diff"],["pd_lua","lua"],["php-s","text/x-php"],["php","text/x-php"],["php3","text/x-php"],["php4","text/x-php"],["php5","text/x-php"],["php7","text/x-php"],["phps","text/x-php"],["phtml","text/x-php"],["pl","perl"],["pm","perl"],["pp","pascal"],["pr","smalltalk"],["proto","protobuf"],["ps1","powershell"],["ps1xml","powershell"],["psc1","powershell"],["psd1","powershell"],["psm1","powershell"],["pssc","powershell"],["py","python"],["pyc","python"],["pyd","python"],["pyo","python"],["pyw","python"],["pyz","python"],["r","r"],["R","r"],["rb","ruby"],["rbxl","lua"],["rbxs","lua"],["rda","r"],["RData","r"],["rds","r"],["rq","application/sparql-query"],["rs","rust"],["rslib","rust"],["sass","sass"],["sc","text/x-scala"],["scala","text/x-scala"],["scode","smalltalk"],["scss","sass"],["sh","application/x-sh"],["sm","smalltalk"],["smalltalk","smalltalk"],["sol","solidity"],["sources","smalltalk"],["sql","sql"],["st","smalltalk"],["stylus","stylus"],["swift","swift"],["t","perl"],["tbc","tcl"],["tcl","tcl"],["tex","stex"],["toml","toml"],["ts","application/typescript"],["tsv","sql"],["tsx","text/typescript-jsx"],["ttl","text/turtle"],["twig","text/x-twig"],["txt","text"],["v","verilog"],["vb","vb"],["vhd","vhdl"],["vhdl","vhdl"],["vue","vue"],["wl","mathematica"],["wlua","lua"],["xml","xml"],["xq","xquery"],["xql","xquery"],["xqm","xquery"],["xquery","xquery"],["yaml","yaml"],["yml","yaml"]]);var f=class{file;extensions=N;constructor(e){this.file=e}async process(e,a=0,s=1e3){return new Promise((o,c)=>{if(a>s)return c(new Error("Nonsensical line numbers."));o(e.split(F).filter((S,U)=>{let j=U+1;return j>=a&&j<=s}).join(F))})}async rename(e,a){await oe(e,a)}get getMimeType(){let e=ie(this.file,{preserveCase:!0});return this.extensions.get(e)??"auto"}};import re from"tempy";import{homedir as ne}from"os";import{basename as le,extname as pe}from"path";import{nanoid as de}from"nanoid";var h=class{file;imgType;flags;tempDirectory=re.directory();uniqueId=de(10);constructor(e){this.file=e}expandHomeDirectory(e){return e.startsWith("~")?e.replace("~",ne()):e}set setImgType(e){this.imgType=e}set setFlags(e){this.flags=e}get getSaveDirectory(){return this.flags.toClipboard?this.tempDirectory:this.expandHomeDirectory(this.flags.saveTo)}get getOriginalFileName(){return this.file?le(this.file,pe(this.file)):"stdin"}get getNewFileName(){return this.flags.saveAs||`${this.getOriginalFileName}-${this.uniqueId}`}get getDownloadedAsPath(){return`${this.getSaveDirectory}/carbon.${this.imgType}`}get getSavedAsPath(){return`${this.getSaveDirectory}/${this.getNewFileName}.${this.imgType}`}get getPath(){return this.flags.toClipboard?this.getDownloadedAsPath:this.getSavedAsPath}};import{chromium as D,firefox as ce,webkit as me}from"@playwright/test";var _="https://carbon.now.sh/",g="carbon-now-cli-theme",q="CARBON_THEMES";var w=class{type;browser;page;pageOptions={viewport:{width:1800,height:1e3},deviceScaleFactor:2};static async create(e="chromium",a=!1,s="png"){if(!["png","svg"].includes(s))throw new Error("Invalid type. Only png and svg are supported.");let o=new this;return o.type=s,await o.init(e,a),o}getEngine(e){switch(e){case"chromium":return D;case"firefox":return ce;case"webkit":return me;default:return D}}async init(e,a){this.browser=await this.getEngine(e).launch({headless:!a}),this.page=await this.browser.newPage(this.pageOptions)}async navigate(e){var a,s;await this.page.goto(e),await((a=await this.page.waitForSelector("#export-menu"))==null?void 0:a.click()),await((s=await this.page.$(`#export-${this.type}`))==null?void 0:s.click())}async setCustomTheme(e,a=g){await this.page.addInitScript(({highlights:s,theme:o,CARBON_LOCAL_STORAGE_KEY:c})=>{let S=[{id:o,name:o,highlights:s,custom:!0}];window.localStorage.setItem(c,JSON.stringify(S))},{highlights:e,theme:a,CARBON_LOCAL_STORAGE_KEY:q})}async download(e,a=process.cwd()){var s;try{let o=this.page.waitForEvent("download");await this.navigate(e),await((s=await o)==null?void 0:s.saveAs(`${a}/carbon.${this.type}`))}catch(o){throw new Error(o.message)}finally{await this.browser.close()}}};import ue from"lodash";var fe={backgroundColor:"bg",dropShadow:"ds",dropShadowBlurRadius:"dsblur",dropShadowOffsetY:"dsyoff",exportSize:"es",firstLineNumber:"fl",fontFamily:"fm",fontSize:"fs",language:"l",lineHeight:"lh",lineNumbers:"ln",paddingHorizontal:"ph",paddingVertical:"pv",selectedLines:"sl",squaredImage:"si",theme:"t",watermark:"wm",widthAdjustment:"wa",windowControls:"wc",windowTheme:"wt"},R=t=>ue.mapKeys(t,(e,a)=>fe[a]||a);var he={theme:"seti",backgroundColor:"#ADB7C1",windowTheme:"none",windowControls:!0,fontFamily:"Hack",fontSize:"18px",lineNumbers:!1,language:"auto",firstLineNumber:1,dropShadow:!1,dropShadowOffsetY:"20px",dropShadowBlurRadius:"68px",selectedLines:"*",widthAdjustment:!0,lineHeight:"133%",paddingVertical:"48px",paddingHorizontal:"32px",squaredImage:!1,watermark:!1,exportSize:"2x",type:"png"},$=he;import ge from"chalk";var L=t=>`
  ${ge.red("Error: Sending code to https://carbon.now.sh went wrong.")}

  This is mostly due to:

  \xB7 Nonsensical input like \`--start 10 --end 2\`
  \xB7 Carbon being down or taking too long to respond
  \xB7 Your internet connection not working or being too slow

  Additional info:

  ${t}`;import we from"chalk";import xe from"terminal-image";var B=async(t,e,a)=>{let s=`
  ${we.green("Done!")}
	`;switch(!0){case t.openInBrowser:{s+=`
  Browser opened \u2014 finish your image there! \u{1F60C}`;break}case t.toClipboard:{s+=`
  Image copied to clipboard! \u{1F60C}`;break}default:s=`
  The file can be found here: ${e} \u{1F60C}
	`,process.env.TERM_PROGRAM&&process.env.TERM_PROGRAM.match("iTerm")&&a==="png"&&!t.skipDisplay&&(s+=`
  iTerm2 should display the image below. \u{1F60A}
  ${await xe.file(e)}`)}return s};var H={name:"carbon-now-cli",version:"2.0.0-rc.5",description:"Beautiful images of your code \u2014 from right inside your terminal.",license:"MIT",repository:"mixn/carbon-now-cli",author:{name:"Milo\u0161 Sutanovac",email:"sutanovac.milos@gmail.com",url:"https://mixn.io"},type:"module",main:"dist/cli.js",exports:"./dist/cli.js",bin:{"carbon-now":"bundle/cli.js"},files:["bundle","dist","readme.md"],engines:{node:">=16.0.0",npm:">=7.10.0"},scripts:{dev:"ts-node --esm --files ./cli.ts test/test-dummies/_unfold.js --start 3 --end 100 --open-in-browser --save-to ~/Desktop --save-as --interactive --preset twitter --from-clipboard",watch:"nodemon --exec ts-node --esm --files ./cli.ts test/test-dummies/_unfold.js --start 3 --end 100 --open-in-browser --save-to ~/Desktop --save-as foo.jpg --interactive --preset twitter --from-clipboard","dev:noflags":"ts-node --esm --files ./cli.ts test/test-dummies/_unfold.js",build:"if [ -d 'dist' ]; then trash dist; fi && tsc && trash dist/coverage && trash dist/test","run:build":"node dist/cli.js test/test-dummies/_unfold.js --save-to ~/Desktop --save-as buildrun","build-and-run":"npm run build && npm run run:build","bundle:build":"if [ -d 'dist' ]; then npx esbuild ./dist/cli.js --outdir=./bundle --bundle --platform=node --target=node16 --packages=external --format=esm --minify; fi","build-and-bundle":"npm run build && npm run bundle:build","run:bundle":"node bundle/cli.js test/test-dummies/_unfold.js --save-to ~/Desktop --save-as from-bundle",prettier:"prettier ./**/* --check","test:unit":"jest ./test/ --testPathIgnorePatterns ./test/e2e/ --verbose --coverage","test:e2e":"jest ./test/e2e/index.test.ts --runInBand --verbose --testTimeout 180000 --coverage",test:"npm run prettier && npm run test:unit && npm run test:e2e",prepare:"husky install",postinstall:"npx playwright install --with-deps"},keywords:["cli","cli-app","carbon-now","carbon-now-sh","carbon-now-sh-cli","carbon","screenshot","beautiful"],dependencies:{chalk:"^4.1.2","clipboard-sys":"^1.2.0",clipboardy:"^2.3.0","file-exists":"^5.0.1","file-extension":"^4.0.5","get-stdin":"^8.0.0",inquirer:"^6.5.2",jsonfile:"^6.1.0",listr2:"^6.2.0",lodash:"^4.17.21",meow:"^9.0.0",nanoid:"^3.3.6",open:"^8.4.2",playwright:"^1.33.0","@playwright/test":"^1.32.3","query-string":"^7.1.3",tempy:"^1.0.1","terminal-image":"^1.2.1","update-notifier":"^6.0.2"},devDependencies:{"@jest/globals":"^29.5.0","@types/child-process-promise":"^2.2.2","@types/file-exists":"^5.0.0","@types/inquirer":"^9.0.3","@types/jest":"^29.5.0","@types/jsonfile":"^6.1.1","@types/lodash":"^4.14.191","@types/mock-fs":"^4.13.1","@types/update-notifier":"^6.0.2","child-process-promise":"^2.2.1",del:"^6.1.1",execa:"^5.1.1",husky:"^8.0.3",jest:"^29.5.0","jest-environment-jsdom":"^29.5.0","mock-fs":"^5.2.0","mock-os":"^1.0.0",nodemon:"^2.0.22",prettier:"^2.8.5","trash-cli":"^5.0.0","ts-jest":"^29.0.5","ts-node":"^10.9.1",typescript:"~4.9.5"},yarn:{postinstall:"npx playwright install --with-deps"}};var y=await m.create(),v=y.getFile,i=y.getFlags,je=y.getInput,Te=y.getAnswers,z=new u(i.config),C=new f(v),p=new h(v),d=new ve([]),r={...$,language:C.getMimeType};i.preset&&(r={...r,...await z.getPreset(i.preset)});i.interactive&&(r={...r,...Te});i.config||await z.savePreset(r.preset,r);i.start>1&&(r={...r,firstLineNumber:i.start});d.add([{title:`Processing ${v||(i.fromClipboard?"input from clipboard":"input from stdin")}`,task:async t=>{t.encodedContent=encodeURIComponent(await C.process(je,i.start,i.end))}}]);d.add([{title:"Preparing connection",task:t=>{t.preparedURL=`${_}?${Ce(R({...r,code:t.encodedContent,...r.custom&&{t:g}}))}`,p.setFlags=i,p.setImgType=r.type}}]);d.add([{title:"Opening in browser",skip:!i.openInBrowser,task:({preparedURL:t})=>{be(t)}}]);d.add([{title:"Fetching beautiful image",skip:i.openInBrowser,task:async({preparedURL:t})=>{let e=await w.create(i.engine,i.disableHeadless,r.type);r.custom&&await e.setCustomTheme(r.custom,g),await e.download(t,p.getSaveDirectory),i.toClipboard||await C.rename(p.getDownloadedAsPath,p.getSavedAsPath)}}]);d.add([{title:"Copying image to clipboard",skip:!i.toClipboard||i.openInBrowser,task:async({preparedURL:t})=>{await Se.writeImage(await x(p.getDownloadedAsPath,!1))}}]);try{await d.run(),console.log(await B(i,p.getPath,r.type)),ke({pkg:H}).notify(),process.exit()}catch(t){console.error(L(t.message)),process.exit(1)}
